summaryrefslogtreecommitdiff
path: root/zcmp.in
diff options
context:
space:
mode:
Diffstat (limited to 'zcmp.in')
-rw-r--r--zcmp.in45
1 files changed, 45 insertions, 0 deletions
diff --git a/zcmp.in b/zcmp.in
new file mode 100644
index 0000000..eeee247
--- /dev/null
+++ b/zcmp.in
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Compare the uncompressed contents of compressed files, byte by byte.
+
+# Copyright (C) 2007, 2010-2016 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+version="zcmp (gzip) @VERSION@
+Copyright (C) 2010 Free Software Foundation, Inc.
+This is free software. You may redistribute copies of it under the terms of
+the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.
+There is NO WARRANTY, to the extent permitted by law.
+
+Written by Paul Eggert."
+
+usage="Usage: $0 [OPTION]... FILE1 [FILE2]
+Compare FILE1 to FILE2 byte by byte, using their uncompressed contents
+if they are compressed. If FILE2 is omitted, compare FILE1 to the
+uncompressed contents of FILE1.gz. Do comparisons like 'cmp' does.
+
+Options are the same as for 'cmp'.
+
+If a FILE is '-' or missing, read standard input.
+
+Report bugs to <bug-gzip@gnu.org>."
+
+st=0
+case $1 in
+--help) echo "$usage" || st=2; exit $st;;
+--version) echo "$version" || st=2; exit $st;;
+esac
+
+exec zdiff --__cmp "$@"